package com.ruoyi.system.domain_shate;

import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 8:41
 */
public class VegetationHealth extends  SysSTEntity
{
    private Integer id;


    private  Double max;

    private String zone;

    private Double healthy;

    private Double normal;

    private Double notHealthy;

    private Double totalArea;

    private String resolution;

    private String imageDate;

    private String productCode1;

    private String productCode2;

    private String productCode3;

    private  String year;

    private String createdBy;

    private LocalDateTime craeteTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Double getHealthy() {
        return healthy;
    }

    public void setHealthy(Double healthy) {
        this.healthy = healthy;
    }

    public Double getNormal() {
        return normal;
    }

    public void setNormal(Double normal) {
        this.normal = normal;
    }

    public Double getNotHealthy() {
        return notHealthy;
    }

    public void setNotHealthy(Double notHealthy) {
        this.notHealthy = notHealthy;
    }

    public Double getTotalArea() {
        return totalArea;
    }

    public void setTotalArea(Double totalArea) {
        this.totalArea = totalArea;
    }

    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }

    public String getProductCode2() {
        return productCode2;
    }

    public void setProductCode2(String productCode2) {
        this.productCode2 = productCode2;
    }

    public String getProductCode3() {
        return productCode3;
    }

    public void setProductCode3(String productCode3) {
        this.productCode3 = productCode3;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCraeteTime() {
        return craeteTime;
    }

    public void setCraeteTime(LocalDateTime craeteTime) {
        this.craeteTime = craeteTime;
    }

    @Override
    public String toString() {
        return "VegetationHealth{" +
                "id=" + id +
                ", zone='" + zone + '\'' +
                ", healthy=" + healthy +
                ", normal=" + normal +
                ", notHealthy=" + notHealthy +
                ", totalArea=" + totalArea +
                ", imageDate=" + imageDate +
                ", productCode1='" + productCode1 + '\'' +
                ", productCode2='" + productCode2 + '\'' +
                ", productCode3='" + productCode3 + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", craeteTime=" + craeteTime +
                '}';
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }


    public String getResolution() {
        return resolution;
    }

    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    public Double getMax() {
        return max;
    }

    public void setMax(Double max) {
        this.max = max;
    }
}
